<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Admin\Repository;

use Admin\Entity\AdminUserGroup;
use Admin\Entity\AdminUserGroupContent;
use Doctrine\ORM\EntityRepository;

class AdminUserGroupRepository extends EntityRepository
{
    public function findAdminUserGroupList($languageCode)
    {
        $query = $this->getEntityManager()->createQueryBuilder();
        $query->select('g')
            ->addSelect("(SELECT c.adminGroupName FROM ".AdminUserGroupContent::class." AS c WHERE c.adminGroupId=g.adminGroupId AND c.languageCode='".$languageCode."') AS adminGroupName")
            ->from(AdminUserGroup::class, 'g')
            ->orderBy('g.adminGroupId', 'ASC');

        return $query->getQuery()->getResult();
    }
}