<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Cms\Repository\QuerySearch;

use Doctrine\ORM\QueryBuilder;

class SingleCmsSearch
{
    public static function querySearchData($search, QueryBuilder $queryBuilder)
    {
        if(isset($search['single_cms_title']) && !empty($search['single_cms_title'])) $queryBuilder->having($queryBuilder->expr()->like('s.singleCmsTitle', ':singleCmsTitle'))->setParameter('singleCmsTitle', '%'.$search['single_cms_title'].'%');

        return $queryBuilder;
    }
}